> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Set integration enabled

> Enable or disable the specified integration. When disabling, all currently running syncs will be cancelled.

All authentication credentials and configuration are preserved. Syncs can be resumed by re-enabling the integration.

You may use this to, for example, pause syncing for customers that are temporarily not using the integration.


## OpenAPI

````yaml PUT /integrations/{integration_id}/enabled
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /integrations/{integration_id}/enabled:
    put:
      tags:
        - General
      summary: Set integration enabled
      description: >-
        Enable or disable the specified integration. When disabling, all
        currently running syncs will be cancelled.


        All authentication credentials and configuration are preserved. Syncs
        can be resumed by re-enabling the integration.


        You may use this to, for example, pause syncing for customers that are
        temporarily not using the integration.
      operationId: PutIntegrationsIntegrationIdEnabled
      parameters:
        - name: integration_id
          in: path
          required: true
          description: PUT /integrations/:integration_id/enabled Parameter
          schema:
            $ref: >-
              #/components/schemas/PutIntegrationsIntegrationIdEnabledParameterIntegrationId
      requestBody:
        description: PUT /integrations/:integration_id/enabled Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PutIntegrationsIntegrationIdEnabledRequestBody
      responses:
        '200':
          description: PUT /integrations/:integration_id/enabled Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PutIntegrationsIntegrationIdEnabledPositiveResponse
        default:
          $ref: '#/components/responses/ErrorResponseGeneral'
      x-codeSamples:
        - lang: python
          label: PutIntegrationsIntegrationIdEnabled
          source: |-
            from kombo import Kombo


            with Kombo(
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            ) as k_client:

                res = k_client.general.set_integration_enabled(integration_id="<id>", value=False)

                # Handle response
                print(res)
        - lang: typescript
          label: PutIntegrationsIntegrationIdEnabled
          source: |-
            import { Kombo } from "@kombo-api/sdk";

            const kombo = new Kombo({
              api_key: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await kombo.general.setIntegrationEnabled({
                integration_id: "<id>",
                body: {
                  value: false,
                },
              });

              console.log(result);
            }

            run();
        - lang: ruby
          label: PutIntegrationsIntegrationIdEnabled
          source: >-
            require 'kombo'


            Models = ::Kombo::Models

            s = ::Kombo::Kombo.new(
              security: Models::Shared::Security.new(
                api_key: '<YOUR_BEARER_TOKEN_HERE>'
              )
            )

            res = s.general.set_integration_enabled(integration_id: '<id>',
            body:
            Models::Shared::PutIntegrationsIntegrationIdEnabledRequestBody.new(
              value: false
            ))


            unless
            res.put_integrations_integration_id_enabled_positive_response.nil?
              # handle response
            end
components:
  schemas:
    PutIntegrationsIntegrationIdEnabledParameterIntegrationId:
      type: string
    PutIntegrationsIntegrationIdEnabledRequestBody:
      type: object
      properties:
        value:
          type: boolean
          description: >-
            The desired state of the integration (e.g., `true` for enabled,
            `false` for disabled).
      required:
        - value
    PutIntegrationsIntegrationIdEnabledPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
      required:
        - status
        - data
  responses:
    ErrorResponseGeneral:
      description: The standard error response with just the platform error codes.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                    example: PLATFORM.RATE_LIMIT_EXCEEDED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````